Slider 7_09_2018.jpg=6 Months old! Growing up so quickly.
Slider 1st Show 6.09.2018.jpg=4 - 6 Month Old Puppy, Sporting Group - Group 3!
2 Slider  7_14_2018.jpg=Whatever that was it tasted good!
Slider 2018 FCRSA Specialty b.jpg=Too young to enter the show (4 months) but had fun anyway!
Slider_8 weeks.jpg=Slider: 8 weeks old
